* {
  outline: none;
  box-sizing: border-box;
}

:root {
  --body-fill-color: #fff;
  --body-text-color: #111;
  --picked-emoji-input-border-color: #e4e4e4;
  --picked-emoji-input-border-color-hover: #222;
  --picked-emoji-tooltip-fill-color: #fff;
  --picked-emoji-tooltip-shadow: 0 8px 30px 0 rgba(0, 0, 0, 0.2), 0 2px 6px 2px rgba(0, 0, 0, 0.15);
  --button-fill-color: #fff;
  --button-text-color: #1f1f1f;
  --button-border-color: #bbb;
  --button-shadow-focus: 0 0 0 4px #ddd;
  --dropdown-fill-color: #fff;
  --dropdown-text-color: #1f1f1f;
  --dropdown-border-color: #ccc;
  --dropdown-shadow-focus: 0 0 0 4px #ddd;
  --emoji-font-without-noto: apple color emoji, segoe ui emoji, android emoji, emojisymbols, emojione mozilla, twemoji mozilla, segoe ui symbol, sans-serif;
}

unicode-emoji-picker {
  max-width: 100%;
  --emoji-font-family: var(--emoji-font-without-noto);
}

html {
  height: 100%;
  font-size: 17px;
}
body {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  margin: 0;
  background-color: var(--body-fill-color);
  color: var(--body-text-color);
  font-family: 'Roboto', Arial, sans-serif;
  line-height: 1.15;
}
input {
  color: inherit;
  font: inherit;
  margin: 0;
}
button {
  cursor: pointer;
  padding: 0;
  margin: 0;
  color: inherit;
  font: inherit;
  border: 0 none;
  appearance: button;
  -webkit-appearance: button;
  -moz-appearance: button;
}
button::-moz-focus-inner {
  border: 0 none;
}
select {
  cursor: pointer;
  color: inherit;
  font: inherit;
  margin: 0;
}

.container {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  height: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  padding: 0 3rem;
}

.picked-emoji {
  position: relative;
  padding: 1rem 0 3.8rem;
}

.picked-emoji .input {
  display: block;
  max-width: 8rem;
  padding: 0.75rem 0.95rem;
  text-align: center;
  font-size: 2.5rem;
  font-family: var(--emoji-font-without-noto);
  border: 0 none;
  border-bottom: 4px solid var(--picked-emoji-input-border-color);
  background-color: transparent;
  border-radius: 0;
  box-shadow: none;
  transition: border-color 150ms cubic-bezier(0, 0, .2, .1);
}
.picked-emoji .input:hover,
.picked-emoji .input:focus {
  border-color: var(--picked-emoji-input-border-color-hover);
}

.picked-emoji .tooltip {
  pointer-events: none;
  position: absolute;
  z-index: 100;
  top: 6.35rem;
  left: 50%;
  padding: 1rem;
  border-radius: 4px;
  white-space: nowrap;
  text-align: center;
  background-color: var(--picked-emoji-tooltip-fill-color);
  box-shadow: var(--picked-emoji-tooltip-shadow);
  transform: translateX(-50%);
  opacity: 0;
  transition: opacity 200ms ease-in;
}
.picked-emoji .tooltip.displayed {
  opacity: 1;
  transition: none;
}

.emoji-picker-settings {
  display: flex;
  flex-wrap: wrap;
  max-width: 600px;
  padding: 3.8rem 0 2rem;
  justify-content: center;
}

.emoji-picker-settings > * {
  flex: 0 0 280px;
}

.button {
  height: 50px;
  padding: 0 2rem;
  margin: 0.3rem;
  background-color: var(--button-fill-color);
  color: var(--button-text-color);
  border-radius: 4px;
  border: 2px solid var(--button-border-color);
  transition: box-shadow 150ms ease-in-out, background-color 150ms ease-in-out;
}
.button:hover,
.button:focus {
  box-shadow: var(--button-shadow-focus);
}

.dropdown {
  display: inline-block;
  position: relative;
  margin: 0.3rem;
}
.dropdown .input {
  display: block;
  width: 100%;
  height: 50px;
  padding: 0 calc(2rem + 14px) 0 2rem;
  background-color: var(--dropdown-fill-color);
  color: var(--dropdown-text-color);
  text-align: center;
  border: 2px solid var(--dropdown-border-color);
  border-radius: 4px;
  transition: box-shadow 150ms ease-in-out, background-color 150ms ease-in-out;
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
}
.dropdown .input:hover,
.dropdown .input:focus {
  box-shadow: var(--dropdown-shadow-focus);
}
.dropdown .caret {
  position: absolute;
  right: 14px;
  top: 0;
  width: 40px;
  height: 100%;
  padding: 5px;
  pointer-events: none
}
.dropdown .caret path {
  stroke-width: 2px;
  stroke: var(--dropdown-text-color);
}

@media (max-width: 530px) {
  html {
    font-size: 16px;
  }
  unicode-emoji-picker {
    font-size: 22px;
  }
  .container {
    padding: 0 2rem;
  }
}

@media (max-height: 850px) {
  html {
    font-size: 16px;
  }
  unicode-emoji-picker {
    font-size: 22px;
  }
  .container {
    padding: 0 2rem;
  }
  .picked-emoji {
    padding: 0.5rem 0 2rem;
  }
  .picked-emoji .tooltip {
    top: 5.85rem;
  }
  .emoji-picker-settings {
    padding: 2rem 0 1rem;
  }
}
